Subject: bug#29586: Please revert change to package deletion

From: "John Wiegley" <[email-masked]>
Date: Tue, 05 Dec 2017 16:46:13 -0800

>>>>> "AP" == Adam Porter <[email-masked]> writes:

AP> The original bug report complained of, "cluttering the user's trash can."
AP> This is a very poor justification for the change that was made, to claim
AP> that the *trash can* is being cluttered. The trash can is the designated
AP> receptacle for such clutter, and is designed to be emptied with a single
AP> action. I cannot fathom real users lamenting that their *trash can* is
AP> cluttered with *trash*.

I tend to agree with Adam on this point. As a user, I'd prefer such things to
accumulate in my trash so that I could undo them; I really don't care what's
in the trash, just that's useful for undeleting things. Most operating systems
provide ways to periodically tidy up the trash, so I'm somewhat surprised that
a bug was issued to this fact.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2